`importer.spss` <-
function (file, use.value.labels=TRUE, to.data.frame=TRUE, max.value.labels=Inf, trim.factor.names=TRUE)
{
#Cette fonction reprend la fonction read.spss du package foreign en la modifiant lgrement
require("foreign") #Ajout
trim <- function(strings) {
if (trim.factor.names) 
gsub(" +$", "", strings)
else strings
}
rval <-  .Call("do_read_SPSS",file,PACKAGE="foreign")
vl <- attr(rval, "label.table")
has.vl <- which(!sapply(vl, is.null))
for (v in has.vl) {
nm <- names(vl)[[v]]
nvalues <- length(na.omit(unique(rval[[nm]])))
nlabels <- length(vl[[v]])
#Modification de la condition ci-dessous
if (use.value.labels && (!is.finite(max.value.labels) || 
nvalues <= max.value.labels) ) 
rval[[nm]] <- factor(rval[[nm]], levels = rev(vl[[v]]), 
labels = rev(trim(names(vl[[v]]))))
else attr(rval[[nm]], "value.labels") <- vl[[v]]
}
if (to.data.frame) {
varlab <- attr(rval, "variable.labels")
rval <- as.data.frame(rval)
attr(rval, "variable.labels") <- varlab
}
rval
}

