\name{importer.spss}
\alias{importer.spss}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Lire un fichier SPSS au format .sav.}
\description{
Cette fonction est identique  \code{\link[foreign]{read.spss}} excepte sur un point. En effet, si dans le fichier SPSS, une variable comporte des tiquettes de valeurs non prsentes dans les donnes, \code{\link[foreign]{read.spss}} renvoie une colonne de type \emph{atomic} tandis que \code{importer.spss} renvoie une colonne de type {factor}. Les options par dfaut diffrent galement.
}
\usage{
importer.spss(
   file,
   use.value.labels = TRUE,
   to.data.frame = TRUE,
   max.value.labels = Inf,
   trim.factor.names = TRUE)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{file}{character. Nom du fichier \emph{sav}  lire et transformer en data.frame.}
  \item{use.value.labels}{logical. Convertir les variables avec des tiquettes de valeurs en colonnes de type \emph{factor} ?}
  \item{to.data.frame}{logical. Renvoyer un data.frame ? Renvoie une liste sinon.}
  \item{max.value.labels}{logical. Seules les variables ayant au maximum ce nombre de modalits seront converties en \emph{factor}.}
  \item{trim.factor.names}{logical. Supprimer les espaces des \emph{noms des facteurs} ?}
}
\details{
Cette fonction est identique  read.spss excepte sur un point. En effet, si dans le fichier SPSS, une variable comporte des tiquettes de valeurs non prsentes dans les donnes, \code{\link[foreign]{read.spss}} renvoie une colonne de type \emph{atomic} tandis que \code{importer.spss} renvoie une colonne de type \emph{factor}.\cr
Les options par dfaut diffrent lgrement. par dfaut, \code{importer.spss} renvoie un tableau de donnes et supprime les espaces inutiles des noms de facteur.
}
\seealso{\code{\link[foreign]{read.spss}} pour plus de dtails sur cette fonction.}
\examples{
\dontrun{
donnees <- importer.spss('file.sav')
}
}
\keyword{file}